#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 2

Name: libmediawiki
Summary:  A library to accecss to the API of MediaWiki sites
Version: 15.08.0
Release: %mkrel %{rel}
Group: Graphical desktop/KDE
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libmediawiki
Source: http://download.kde.org/stable/applications/%{version}/src/%name.tar.bz2

BuildRequires: kf5-macros
BuildRequires: kdoctools-devel
BuildRequires: kcoreaddons-devel

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Network)

# Branch Patch (100-200)

%description
A library to accecss to the API of MediaWiki sites

#------------------------------------------------------------------------------

%define mediawiki_major 5
%define libmediawiki %mklibname kf5mediawiki %mediawiki_major

%package -n %libmediawiki
Summary: A library for dealing with scanners 
Group: System/Libraries
Provides: mediawiki = %version-%release

%description -n %libmediawiki
LibKSane is a KDE interface for SANE library to control flat scanners.

%files -n %libmediawiki
%_kf5_libdir/libKF5MediaWiki.so.%{mediawiki_major}*

#------------------------------------------------------------------------------

%define libmediawiki_devel %mklibname kf5mediawiki -d

%package -n %libmediawiki_devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: %libmediawiki = %version-%release
Provides: %name-devel = %version-%release
Conflicts: kdegraphics4-devel < 2:4.6.90
Conflicts: %name-devel < 15.08.0

%description -n %libmediawiki_devel
LibKSane is a KDE interface for SANE library to control flat scanner.

This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %libmediawiki_devel
%_kf5_includedir/MediaWiki
%_kf5_includedir/mediawiki_version.h
%_kf5_libdir/cmake/KF5MediaWiki
%_kf5_libdir/*.so
%_qt5_prefix/mkspecs/modules/qt_MediaWiki.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %name

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
%makeinstall_std -C build


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 15.08.0-2.mga6
+ Revision: 961096
- Mageia 6 Mass Rebuild

* Tue Aug 25 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 869227
- imported package libmediawiki

